ZLANGT(3f)

NAME
ZLANGT - the value of the one norm, or the Frobenius norm, or the infinity norm, or the element of largest absolute value of a complex tridiagonal matrix A

SYNOPSIS

DOUBLE PRECISION
    FUNCTION ZLANGT( NORM, N, DL, D, DU )

CHARACTER
    NORM

INTEGER
    N

COMPLEX*16
    D( * ), DL( * ), DU( * )

PURPOSE
ZLANGT returns the value of the one norm, or the Frobenius norm, or the infinity norm, or the element of largest absolute value of a complex tridiagonal matrix A.

DESCRIPTION
ZLANGT returns the value
   ZLANGT = ( max(abs(A(i,j))), NORM = 'M' or 'm'
            (
            ( norm1(A), NORM = '1', 'O' or 'o'
            (
            ( normI(A), NORM = 'I' or 'i'
            (
            ( normF(A), NORM = 'F', 'f', 'E' or 'e' where norm1 denotes the one norm of a matrix (maximum column sum), normI denotes the infinity norm of a matrix (maximum row sum) and normF denotes the Frobenius norm of a matrix (square root of sum of squares). Note that max(abs(A(i,j))) is not a consistent matrix norm.

ARGUMENTS

NORM    (input) CHARACTER*1
    Specifies the value to be returned in ZLANGT as described above.

N       (input) INTEGER
    The order of the matrix A. N >= 0. When N = 0, ZLANGT is set to zero.

DL      (input) COMPLEX*16 array, dimension (N-1)
    The (n-1) sub-diagonal elements of A.

D       (input) COMPLEX*16 array, dimension (N)
    The diagonal elements of A.

DU      (input) COMPLEX*16 array, dimension (N-1)
    The (n-1) super-diagonal elements of A.